Bug 763127 - (GLUSTER-1395) gcc build fails with dht+afr
gcc build fails with dht+afr
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
3.1-alpha
All Linux
low Severity medium
: ---
: ---
Assigned To: Shehjar Tikoo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-18 09:05 EDT by Lakshmipathi G
Modified: 2015-12-01 11:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: RTP
Mount Type: nfs
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lakshmipathi G 2010-08-18 09:05:11 EDT
While running gcc build with 4x3 dht+afr with 3.1.0qa6 .It failed twice.(
gcc build is currently running with 4 replicate setup - I'll update its results soon.)

run-1:
------
E_GTHR_DEFAULT -DIN_LIBGCC2 -D__GCC_FLOAT_NOT_NEEDED  "  \
          MULTILIB_CFLAGS="" T= crtbeginT.o
make[3]: Entering directory `/mnt/T1/gcc-3.4.6/gcc'
make[3]: Leaving directory `/mnt/T1/gcc-3.4.6/gcc'
/mnt/T1/gcc-3.4.6/gcc/xgcc -B/mnt/T1/gcc-3.4.6/gcc/ -B/usr/local/x86_64-unknown-linux-gnu/bin/ -B/usr/local/x86_64-unknown-linux-gnu/lib/ -isystem /usr/local/x86_64-unknown-linux-gnu/include -isystem /usr/local/x86_64-unknown-linux-gnu/sys-include -O2  -DIN_GCC    -W -Wall -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes -Wold-style-definition  -isystem ./include  -fPIC -g -DHAVE_GTHR_DEFAULT -DIN_LIBGCC2 -D__GCC_FLOAT_NOT_NEEDED  -shared -nodefaultlibs -Wl,--soname=libgcc_s.so.1 -Wl,--version-script=libgcc/./libgcc.map -o libgcc_s.so.1.tmp   libgcc/./_muldi3.o libgcc/./_negdi2.o libgcc/./_lshrdi3.o libgcc/./_ashldi3.o libgcc/./_ashrdi3.o libgcc/./_cmpdi2.o libgcc/./_ucmpdi2.o libgcc/./_floatdidf.o libgcc/./_floatdisf.o libgcc/./_fixunsdfsi.o libgcc/./_fixunssfsi.o libgcc/./_fixunsdfdi.o libgcc/./_fixdfdi.o libgcc/./_fixunssfdi.o libgcc/./_fixsfdi.o libgcc/./_fixxfdi.o libgcc/./_fixunsxfdi.o libgcc/./_floatdixf.o libgcc/./_fixunsxfsi.o libgcc/./_fixtfdi.o libgcc/./_fixunstfdi.o libgcc/./_floatditf.o libgcc/./_clear_cache.o libgcc/./_enable_execute_stack.o libgcc/./_trampoline.o libgcc/./__main.o libgcc/./_absvsi2.o libgcc/./_absvdi2.o libgcc/./_addvsi3.o libgcc/./_addvdi3.o libgcc/./_subvsi3.o libgcc/./_subvdi3.o libgcc/./_mulvsi3.o libgcc/./_mulvdi3.o libgcc/./_negvsi2.o libgcc/./_negvdi2.o libgcc/./_ctors.o libgcc/./_ffssi2.o libgcc/./_ffsdi2.o libgcc/./_clz.o libgcc/./_clzsi2.o libgcc/./_clzdi2.o libgcc/./_ctzsi2.o libgcc/./_ctzdi2.o libgcc/./_popcount_tab.o libgcc/./_popcountsi2.o libgcc/./_popcountdi2.o libgcc/./_paritysi2.o libgcc/./_paritydi2.o libgcc/./_divdi3.o libgcc/./_moddi3.o libgcc/./_udivdi3.o libgcc/./_umoddi3.o libgcc/./_udiv_w_sdiv.o libgcc/./_udivmoddi4.o  libgcc/./unwind-dw2.o libgcc/./unwind-dw2-fde-glibc.o libgcc/./unwind-sjlj.o libgcc/./gthr-gnat.o libgcc/./unwind-c.o -lc && rm -f libgcc_s.so && if [ -f libgcc_s.so.1 ]; then mv -f libgcc_s.so.1 libgcc_s.so.1.backup; else true; fi && mv libgcc_s.so.1.tmp libgcc_s.so.1 && ln -s libgcc_s.so.1 libgcc_s.so
/mnt/T1/gcc-3.4.6/gcc/xgcc -B/mnt/T1/gcc-3.4.6/gcc/ -B/usr/local/x86_64-unknown-linux-gnu/bin/ -B/usr/local/x86_64-unknown-linux-gnu/lib/ -isystem /usr/local/x86_64-unknown-linux-gnu/include -isystem /usr/local/x86_64-unknown-linux-gnu/sys-include -O2  -DIN_GCC    -W -Wall -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes -Wold-style-definition  -isystem ./include  -fPIC -g -DHAVE_GTHR_DEFAULT -DIN_LIBGCC2 -D__GCC_FLOAT_NOT_NEEDED  -I. -I. -I. -I./. -I./../include   -m32 -DL_muldi3 -c ./libgcc2.c -o libgcc/32/_muldi3.o
In file included from /usr/include/features.h:359,
                 from /usr/include/stdio.h:28,
                 from ./tsystem.h:79,
                 from ./libgcc2.c:41:
/usr/include/gnu/stubs.h:7:27: gnu/stubs-32.h: No such file or directory
make[2]: *** [libgcc/32/_muldi3.o] Error 1
make[2]: Leaving directory `/mnt/T1/gcc-3.4.6/gcc'
make[1]: *** [stmp-multilib] Error 2
make[1]: Leaving directory `/mnt/T1/gcc-3.4.6/gcc'
make: *** [all-gcc] Error 2
E_GTHR_DEFAULT -DIN_LIBGCC2 -D__GCC_FLOAT_NOT_NEEDED  "  \
          MULTILIB_CFLAGS="" T= crtbeginT.o
make[3]: Entering directory `/mnt/T1/gcc-3.4.6/gcc'
make[3]: Leaving directory `/mnt/T1/gcc-3.4.6/gcc'
/mnt/T1/gcc-3.4.6/gcc/xgcc -B/mnt/T1/gcc-3.4.6/gcc/ -B/usr/local/x86_64-unknown-linux-gnu/bin/ -B/usr/local/x86_64-unknown-linux-gnu/lib/ -isystem /usr/local/x86_64-unknown-linux-gnu/include -isystem /usr/local/x86_64-unknown-linux-gnu/sys-include -O2  -DIN_GCC    -W -Wall -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes -Wold-style-definition  -isystem ./include  -fPIC -g -DHAVE_GTHR_DEFAULT -DIN_LIBGCC2 -D__GCC_FLOAT_NOT_NEEDED  -shared -nodefaultlibs -Wl,--soname=libgcc_s.so.1 -Wl,--version-script=libgcc/./libgcc.map -o libgcc_s.so.1.tmp   libgcc/./_muldi3.o libgcc/./_negdi2.o libgcc/./_lshrdi3.o libgcc/./_ashldi3.o libgcc/./_ashrdi3.o libgcc/./_cmpdi2.o libgcc/./_ucmpdi2.o libgcc/./_floatdidf.o libgcc/./_floatdisf.o libgcc/./_fixunsdfsi.o libgcc/./_fixunssfsi.o libgcc/./_fixunsdfdi.o libgcc/./_fixdfdi.o libgcc/./_fixunssfdi.o libgcc/./_fixsfdi.o libgcc/./_fixxfdi.o libgcc/./_fixunsxfdi.o libgcc/./_floatdixf.o libgcc/./_fixunsxfsi.o libgcc/./_fixtfdi.o libgcc/./_fixunstfdi.o libgcc/./_floatditf.o libgcc/./_clear_cache.o libgcc/./_enable_execute_stack.o libgcc/./_trampoline.o libgcc/./__main.o libgcc/./_absvsi2.o libgcc/./_absvdi2.o libgcc/./_addvsi3.o libgcc/./_addvdi3.o libgcc/./_subvsi3.o libgcc/./_subvdi3.o libgcc/./_mulvsi3.o libgcc/./_mulvdi3.o libgcc/./_negvsi2.o libgcc/./_negvdi2.o libgcc/./_ctors.o libgcc/./_ffssi2.o libgcc/./_ffsdi2.o libgcc/./_clz.o libgcc/./_clzsi2.o libgcc/./_clzdi2.o libgcc/./_ctzsi2.o libgcc/./_ctzdi2.o libgcc/./_popcount_tab.o libgcc/./_popcountsi2.o libgcc/./_popcountdi2.o libgcc/./_paritysi2.o libgcc/./_paritydi2.o libgcc/./_divdi3.o libgcc/./_moddi3.o libgcc/./_udivdi3.o libgcc/./_umoddi3.o libgcc/./_udiv_w_sdiv.o libgcc/./_udivmoddi4.o  libgcc/./unwind-dw2.o libgcc/./unwind-dw2-fde-glibc.o libgcc/./unwind-sjlj.o libgcc/./gthr-gnat.o libgcc/./unwind-c.o -lc && rm -f libgcc_s.so && if [ -f libgcc_s.so.1 ]; then mv -f libgcc_s.so.1 libgcc_s.so.1.backup; else true; fi && mv libgcc_s.so.1.tmp libgcc_s.so.1 && ln -s libgcc_s.so.1 libgcc_s.so
/mnt/T1/gcc-3.4.6/gcc/xgcc -B/mnt/T1/gcc-3.4.6/gcc/ -B/usr/local/x86_64-unknown-linux-gnu/bin/ -B/usr/local/x86_64-unknown-linux-gnu/lib/ -isystem /usr/local/x86_64-unknown-linux-gnu/include -isystem /usr/local/x86_64-unknown-linux-gnu/sys-include -O2  -DIN_GCC    -W -Wall -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes -Wold-style-definition  -isystem ./include  -fPIC -g -DHAVE_GTHR_DEFAULT -DIN_LIBGCC2 -D__GCC_FLOAT_NOT_NEEDED  -I. -I. -I. -I./. -I./../include   -m32 -DL_muldi3 -c ./libgcc2.c -o libgcc/32/_muldi3.o
In file included from /usr/include/features.h:359,
                 from /usr/include/stdio.h:28,
                 from ./tsystem.h:79,
                 from ./libgcc2.c:41:
/usr/include/gnu/stubs.h:7:27: gnu/stubs-32.h: No such file or directory
make[2]: *** [libgcc/32/_muldi3.o] Error 1
make[2]: Leaving directory `/mnt/T1/gcc-3.4.6/gcc'
make[1]: *** [stmp-multilib] Error 2
make[1]: Leaving directory `/mnt/T1/gcc-3.4.6/gcc'
make: *** [all-gcc] Error 2



run2:
=====================
if [ x"" != x ]; then \
          gcc -c -DHAVE_CONFIG_H -g -O2 -I. -I./../include  -W -Wall -Wtraditional -pedantic  cplus-dem.c -o pic/cplus-dem.o; \
        else true; fi
gcc -c -DHAVE_CONFIG_H -g -O2 -I. -I./../include  -W -Wall -Wtraditional -pedantic cplus-dem.c -o cplus-dem.o
cplus-dem.c:55: error: conflicting types for ‘malloc’
cplus-dem.c: In function ‘code_for_qualifier’:
cplus-dem.c:630: warning: implicit declaration of function ‘abort’
cplus-dem.c:630: warning: incompatible implicit declaration of built-in function ‘abort’
cplus-dem.c: In function ‘qualifier_string’:
cplus-dem.c:671: warning: incompatible implicit declaration of built-in function ‘abort’
cplus-dem.c: In function ‘squangle_mop_up’:
cplus-dem.c:1154: warning: implicit declaration of function ‘free’
cplus-dem.c: In function ‘demangle_qualified’:
cplus-dem.c:3310: warning: implicit declaration of function ‘atoi’
make[1]: *** [cplus-dem.o] Error 1
make[1]: Leaving directory `/mnt/T1/gcc-3.4.6/libiberty'
make: *** [all-libiberty] Error 2
Comment 1 Lakshmipathi G 2010-08-18 22:54:18 EDT
gcc compile passes with 4 replica setup with 3.1.0qa6
Comment 2 Shehjar Tikoo 2010-10-01 20:42:49 EDT
Running into the same error on local disk and lakshmi confirms that the testbed for 4 replica was a different set of machines. 

Kernel compile passes.

Note You need to log in before you can comment on or make changes to this bug.